WordPress.org

Ready to get started?Download WordPress

Forums

Easy Pie Maintenance Mode
[resolved] Errors (5 posts)

  1. bloomindustries
    Member
    Posted 1 year ago #

    Hi,
    I have installed the plugin and it appears to work (on logging out I get the maintenance screen) however above the maintenance message I get the following errors at the top of the page:

    Warning: sort() expects parameter 1 to be array, boolean given in /home/bloompap/public_html/wp-content/plugins/easy-pie-maintenance-mode/classes/class-easy-pie-mm-utility.php on line 112

    Warning: Invalid argument supplied for foreach() in /home/bloompap/public_html/wp-content/plugins/easy-pie-maintenance-mode/classes/class-easy-pie-mm-utility.php on line 114

    If you have any ideas why I'm getting these errors I'd appreciate any help.

    http://wordpress.org/plugins/easy-pie-maintenance-mode/

  2. Bob Riley
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for reporting this. I have an idea about why this is occurring on your system (it's not on mine but based on PHP documentation I think I know what's going on). Tomorrow I'll put a fix out on the development line so you can give that a try. If that works out I'll go ahead and make it an official release.

    I'll post another response in this thread tomorrow when I've checked in the fix to the development line. Thanks

    Bob

  3. Bob Riley
    Member
    Plugin Author

    Posted 1 year ago #

    Hi bloomindustries, I checked in a fix to the development line copy. It can be found here: http://downloads.wordpress.org/plugin/easy-pie-maintenance-mode.zip

    You'll have to uninstall your 0.6.2 and do a direct upload of the zip file. Please let me know how it works out for you. Thanks

    Bob

    P.S. I also changed styling to account for WordPress 3.8

  4. Bob Riley
    Member
    Plugin Author

    Posted 1 year ago #

    I went ahead and released the development code to v0.6.3. Please let me know how that works out for you.

    Bob

  5. bloomindustries
    Member
    Posted 1 year ago #

    Hi Bob,

    thanks so much for your help with this. Having downloaded the new version it works great and the errors are gone.

    I'm just about to use the plugin on my second website in development.

    Keep up the good work : )

    Diane

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic